import {
  // top-level API
  findNodeHandle,
  render,
  unmountComponentAtNode,

  // modules
  createDOMElement,
  NativeModules,
  processColor,
  dismissKeyboard,

  // APIs
  Animated,
  AppRegistry,
  AppState,
  AsyncStorage,
  BackAndroid,
  Clipboard,
  Dimensions,
  Easing,
  I18nManager,
  InteractionManager,
  Linking,
  NetInfo,
  PanResponder,
  PixelRatio,
  Platform,
  StyleSheet,
  UIManager,
  Vibration,

  // components
  Alert,
  ActivityIndicator,
  Button,
  Image,
  ListView,
  ProgressBar,
  ScrollView,
  StatusBar,
  Switch,
  Text,
  TextInput,
  Touchable,
  TouchableHighlight,
  TouchableOpacity,
  TouchableWithoutFeedback,
  View,
  Picker,
  Modal,
  RefreshControl,
  // propTypes
  ColorPropType,
  EdgeInsetsPropType,
  PointPropType,
  ViewPropTypes,

  // vendor
  EventEmitter,
} from './module';

const ReactNative = {
  // top-level API
  findNodeHandle,
  render,
  unmountComponentAtNode,

  // modules
  createDOMElement,
  NativeModules,
  processColor,
  dismissKeyboard,

  // APIs
  Animated,
  AppRegistry,
  AppState,
  AsyncStorage,
  BackAndroid,
  Clipboard,
  Dimensions,
  Easing,
  I18nManager,
  InteractionManager,
  Linking,
  NetInfo,
  PanResponder,
  PixelRatio,
  Platform,
  StyleSheet,
  UIManager,
  Vibration,

  // components
  Alert,
  ActivityIndicator,
  Button,
  Image,
  ListView,
  ProgressBar,
  ScrollView,
  StatusBar,
  Switch,
  Text,
  TextInput,
  Touchable,
  TouchableHighlight,
  TouchableOpacity,
  TouchableWithoutFeedback,
  View,
  Picker,
  Modal,
  RefreshControl,

  // propTypes
  ColorPropType,
  EdgeInsetsPropType,
  PointPropType,
  ViewPropTypes,

  // vendor
  EventEmitter,
};

module.exports = ReactNative;
